Bug 578026 - lang-specific overrides rule doesn't work as expected
lang-specific overrides rule doesn't work as expected
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kacst-fonts (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
:
Depends On: 578015
Blocks: F13Target 586850
  Show dependency treegraph
 
Reported: 2010-03-29 23:38 EDT by Akira TAGOH
Modified: 2010-04-28 09:10 EDT (History)
4 users (show)

See Also:
Fixed In Version: kacst-fonts-2.0-7.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 586850 (view as bug list)
Environment:
Last Closed: 2010-04-25 09:48:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2010-03-29 23:38:17 EDT
Description of problem:
All of detailed information is available on my post at the fonts list:
http://lists.fedoraproject.org/pipermail/fonts/2010-March/001117.html

binding="same" in the fontconfig config file prevents to apply the rule for the
specific
language only properly. As a result, fonts is used for non-targetted languages
and it may gives different look and feel in some cases.

I'd propose to get rid of binding="same" from:
 67-kacst-art.conf
 67-kacst-book.conf
 67-kacst-decorative.conf
 67-kacst-digital.conf
 67-kacst-farsi.conf
 67-kacst-letter.conf
 67-kacst-naskh.conf
 67-kacst-office.conf
 67-kacst-one.conf
 67-kacst-pen.conf
 67-kacst-poster.conf
 67-kacst-qurn.conf
 67-kacst-screen.conf
 67-kacst-title.conf
 67-kacst-titlel.conf
Comment 1 Fedora Update System 2010-04-15 05:19:59 EDT
kacst-fonts-2.0-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kacst-fonts-2.0-7.fc13
Comment 2 Pravin Satpute 2010-04-16 01:54:39 EDT
fixed in kacst-fonts-2.0-7
Comment 3 Fedora Update System 2010-04-16 19:38:38 EDT
kacst-fonts-2.0-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kacst-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kacst-fonts-2.0-7.fc13
Comment 4 Akira TAGOH 2010-04-21 08:02:30 EDT
Testing result:
# rpm -qa kacst-\*
kacst-title-fonts-2.0-7.fc13.noarch
kacst-decorative-fonts-2.0-7.fc13.noarch
kacst-poster-fonts-2.0-7.fc13.noarch
kacst-book-fonts-2.0-7.fc13.noarch
kacst-digital-fonts-2.0-7.fc13.noarch
kacst-letter-fonts-2.0-7.fc13.noarch
kacst-titlel-fonts-2.0-7.fc13.noarch
kacst-qurn-fonts-2.0-7.fc13.noarch
kacst-farsi-fonts-2.0-7.fc13.noarch
kacst-office-fonts-2.0-7.fc13.noarch
kacst-screen-fonts-2.0-7.fc13.noarch
kacst-pen-fonts-2.0-7.fc13.noarch
kacst-one-fonts-2.0-7.fc13.noarch
kacst-naskh-fonts-2.0-7.fc13.noarch
kacst-fonts-common-2.0-7.fc13.noarch
kacst-art-fonts-2.0-7.fc13.noarch
# fc-match monospace:lang=en
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=en-us
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=ar
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=ar-ae
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=ar-bh
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=ar-dz
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=ar-eg
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=ar-in
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=ar-iq
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=ar-jo
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=ar-kw
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=ar-lb
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=ar-ly
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=ar-ma
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=ar-om
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=ar-qa
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=ar-sa
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=ar-sd
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=ar-sy
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=ar-tn
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=ar-ye
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"

No monospace fonts assigned in kacst-fonts. so this should be ok so far.

# fc-match sans:lang=en
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=en-us
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=ar
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=ar-ae
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=ar-bh
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=ar-dz
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=ar-eg
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=ar-in
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=ar-iq
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=ar-jo
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=ar-kw
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=ar-lb
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=ar-ly
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=ar-ma
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=ar-om
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=ar-qa
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=ar-sa
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=ar-sd
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=ar-sy
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=ar-tn
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=ar-ye
DejaVuSans.ttf: "DejaVu Sans" "Book"

Even though kacst-fonts has rules for sans-serif, DejaVu Sans has the ar support, which has a priority. so if you want to make this font default for Arabic, you need to talk about it with the dejavu-sans-fonts maintainer.

# fc-match serif:lang=en
DejaVuSerif.ttf: "DejaVu Serif" "Book"
# fc-match serif:lang=en-us
DejaVuSerif.ttf: "DejaVu Serif" "Book"
# fc-match serif:lang=ar
KacstArt.ttf: "KacstArt" "Medium"
# fc-match serif:lang=ar-ae
KacstArt.ttf: "KacstArt" "Medium"
# fc-match serif:lang=ar-bh
KacstArt.ttf: "KacstArt" "Medium"
# fc-match serif:lang=ar-dz
KacstArt.ttf: "KacstArt" "Medium"
# fc-match serif:lang=ar-eg
KacstArt.ttf: "KacstArt" "Medium"
# fc-match serif:lang=ar-in
KacstArt.ttf: "KacstArt" "Medium"
# fc-match serif:lang=ar-iq
KacstArt.ttf: "KacstArt" "Medium"
# fc-match serif:lang=ar-jo
KacstArt.ttf: "KacstArt" "Medium"
# fc-match serif:lang=ar-kw
KacstArt.ttf: "KacstArt" "Medium"
# fc-match serif:lang=ar-lb
KacstArt.ttf: "KacstArt" "Medium"
# fc-match serif:lang=ar-ly
KacstArt.ttf: "KacstArt" "Medium"
# fc-match serif:lang=ar-ma
KacstArt.ttf: "KacstArt" "Medium"
# fc-match serif:lang=ar-om
KacstArt.ttf: "KacstArt" "Medium"
# fc-match serif:lang=ar-qa
KacstArt.ttf: "KacstArt" "Medium"
# fc-match serif:lang=ar-sa
KacstArt.ttf: "KacstArt" "Medium"
# fc-match serif:lang=ar-sd
KacstArt.ttf: "KacstArt" "Medium"
# fc-match serif:lang=ar-sy
KacstArt.ttf: "KacstArt" "Medium"
# fc-match serif:lang=ar-tn
KacstArt.ttf: "KacstArt" "Medium"
# fc-match serif:lang=ar-ye
KacstArt.ttf: "KacstArt" "Medium"

The above is sane from current configuration. though all fontconfig config files for kacst-fonts has same 67- prefix, which font are selected by fontconfig depends on which package one installs and config files' alphabetical order. so please add the certain prefix if you want to change it.

# for i in $(ls /usr/share/locale|grep -v -E '^ar'); do fc-match serif:lang=$i|grep Kacst; [ $? = 0 ] && echo $i; done
KacstArt.ttf: "KacstArt" "Medium"
ug

fontconfig takes care of both Uighur and Arabic as same in orth files. the updated packages works fine so far.
Comment 5 Fedora Update System 2010-04-25 09:48:07 EDT
kacst-fonts-2.0-7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.